# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "remote-dcl/version"

Gem::Specification.new do |s|
  s.name        = "remote-dcl"
  s.version     = RemoteDCL::VERSION
  s.authors     = ["Seiya Nishizawa"]
  s.email       = ["seiya@gfd-dennou.org"]
  s.homepage    = "http://ruby.gfd-dennou.org/products/remote-dcl/"
  s.summary     = %q{A tool to execute DCL scripts at a remote server}
  s.description = %q{Remote-DCL is a Ruby script to execute a script at a remote server.
DCL calles in the script creates PNG images at the remote,
and send them to local and then display the images.
It avoid X connection between the local and the remote,
so could reduce execution time.}


  s.rubyforge_project = "remote-dcl"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]
  s.bindir = "bin"
  #s.extensions << "ext/extconf.rb"

  # specify any dependencies here; for example:
  #s.add_development_dependency "rspec"
  s.add_runtime_dependency "gtk2"
  s.add_runtime_dependency "highline"
  s.add_runtime_dependency "net-ssh"

end
